## org.eclipse.ocl.expressions.operations
Class VariableOperations

    java.lang.Object
      org.eclipse.ocl.expressions.operations.VariableOperations

    public class VariableOperations

extends Object

A static utility class that provides operations related to 'Variable' model objects.

The following operations are supported:

- `Check Init Type`

Constructor Summary
`protected` `VariableOperations()`

Method Summary

`static

`<C,PM> boolean`

`

`checkInitType(Variable<C,PM> variable, DiagnosticChain diagnostics, Map<Object,Object> context)`
initExpression->notEmpty() implies initExpression.type.conformsTo (type)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VariableOperations

    protected VariableOperations()

Method Detail

### checkInitType

    public static <C,PM> boolean checkInitType(Variable<C,PM> variable,
                                               DiagnosticChain diagnostics,
                                               Map<Object,Object> context)

  initExpression->notEmpty() implies initExpression.type.conformsTo (type)

  Parameters:
    `variable` - The receiving 'Variable' model object.
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.